
Redmine - Patch #13875

Fetching emails via rake task does not support --no-account-notice and --default-group options

2013-04-25 18:40 - Julian Faude

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

MailHandler supports options no_account_notice and default_group for suppressing account generation notification as well as

automatically adding new users to some group(s). However the rake tasks in email.rake used to fetch emails for example via imap do

not pass those options to MailHandler. Is that on purpose?

I added those two options in my installation and attached a patch against HEAD.

Related issues:

Related to Redmine - Defect #13712: Fix email rake tasks to also support no_a... Closed

History

#1 - 2013-04-26 06:05 - Toshi MARUYAMA

- Target version set to 2.3.1

#2 - 2013-05-01 14:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (2.3.1)

Patch applied in r11748, thanks for poiting this out.

Files

email_rake.patch 1.96 KB 2013-04-25 Julian Faude
